corda / net.corda.core.testing / SecureHashGenerator

# SecureHashGenerator

`class SecureHashGenerator : Generator<SecureHash>`

### Constructors

<init> | `SecureHashGenerator()`

### Functions

generate | `fun generate(random: SourceOfRandomness, status: GenerationStatus): SecureHash`

### Extension Functions

generateList | `fun <A> Generator<A>.generateList(random: SourceOfRandomness, status: GenerationStatus): List<A>` Generators for quickcheck